<template>
  <div class="wrapper">

    <div class="header">
      <div
        :style="`background-image: url(${require('@/assets/img/arrow-back.svg')})`"
        @click="$emit('back')"
        class="arrow-back-button"
      >
      </div>
      Способ оплаты
      <div @click.stop="mainButtonHandler($event)" class="add-button">
        +
      </div>
    </div>

    <div v-if="isTipOpen" class="tip">
      На вашей карте будет временно заблокировано 25 ₸, они обязательно вернутся на карту через 1 минуту 
      <div @click="$emit('tipClosed')" :style="`background-image: url(${require('@/assets/img/cross.svg')})`" class="cross-icon">
      </div>
    </div>

    <div v-for="card in $store.state.cards" :key="card.id" class="card">
      <div :style="`background-image: url(${require('@/assets/img/visa-logo.svg')})`" class="visa-logo"></div>
      {{ card.card_mask }}
    </div>

  </div>
</template>

<script>
import {createRipple} from "@/utils/animations.js"

export default {
  props: {
    cardsList: Array,
    isTipOpen: Boolean,
  },
  methods: {
    createRipple,

    mainButtonHandler(event) {
      this.createRipple(event); 
      setTimeout(() => {
        this.$emit('click');
      }, 200);
    }
  },
}
</script>

<style scoped>
@import '../styles/styles.css';
</style>